Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.matching
Class StandardizerImpl

    java.lang.Object
      com.sun.mdm.index.matching.StandardizerImpl

All Implemented Interfaces:
  Standardizer

public class StandardizerImpl
extends java.lang.Object
implements Standardizer

Loads and forwards requests to the adapter interface implementation configured.

Constructor Summary
`StandardizerImpl()` No argument constructor.

Method Summary
`(package private) StandardizationConfiguration` | `getStandardizationConfig()` Retrieve the Configuration object that allows access to the standardization metadata for SystemObjects
`(package private) SystemObjectStandardization` | `getStandardizationMetaData(java.lang.String sysObjName)` Retrieve the metadata configured for a specific SystemObject
`void` | `initialize()` Load and initialize the configured standardizer API implementation
`void` | `shutdown()`
`SystemObject` | `standardize(SystemObject objToStandardize)` Standardize a SystemObject

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardizerImpl

    public StandardizerImpl()
                     throws java.lang.Exception

  No argument constructor.

Method Detail

### getStandardizationConfig

    StandardizationConfiguration getStandardizationConfig()
                                                    throws java.lang.InstantiationException

  Retrieve the Configuration object that allows access to the standardization metadata for SystemObjects

  Returns:
    standardization configuration object
  Throws:
    `java.lang.InstantiationException` - instantiating the classes needed to access the configuration failed

### getStandardizationMetaData

    SystemObjectStandardization getStandardizationMetaData(java.lang.String sysObjName)
                                                     throws java.lang.InstantiationException

  Retrieve the metadata configured for a specific SystemObject

  Parameters:
    `sysObjName` - the name of the SystemObject to retrieve the configuration for
  Throws:
    `java.lang.InstantiationException` - instantiating the classes needed to access the configuration failed

### initialize

    public void initialize()
                    throws StandardizationException,
                           java.lang.InstantiationException,
                           java.lang.ClassNotFoundException,
                           java.lang.IllegalAccessException

  Load and initialize the configured standardizer API implementation

  Throws:
    `StandardizationException` - Initializing the configured API implementation failed
    `java.lang.InstantiationException` - instantiating the configured API implementation class failed
    `java.lang.ClassNotFoundException` - The class for the configured API implementation class could not be found
    `java.lang.IllegalAccessException` - The current security settings do not allow loading and instantiating the class configured for API implementation

### shutdown

    public void shutdown()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### standardize

    public SystemObject standardize(SystemObject objToStandardize)
                             throws StandardizationException,
                                    ObjectException,
                                    java.lang.InstantiationException

  Standardize a SystemObject

  Specified by:
    `standardize` in interface `Standardizer`
  Parameters:
    `objToStandardize` - the SystemObject to standardize
  Returns:
    the standardized SystemObject
  Throws:
    `StandardizationException` - the standardization process failed
    `ObjectException` - accessing/manipulating the value objects failed
    `java.lang.InstantiationException` - instantiating value objects failed

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.